ELEX USPS Shipping Plugin Compatible to WooCommerce 3.0

Customer :

Is the USPS plugin compatible with WooCommerce 3.0?


Support :

Yes, our USPS plugin is compatible with the WooCommerce 3.0

All are plugin are compatible and tested with the latest WooCommerce versions.

Find out more details here.

    Leave a Reply